Package tigase.form

## Enum Field.FieldType

- java.lang.Object
- - java.lang.Enum<Field.FieldType>
  - - tigase.form.Field.FieldType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Field.FieldType>`
  Enclosing class:
    Field

      public static enum Field.FieldType
      extends java.lang.Enum<Field.FieldType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `bool` |
    `fixed` |
    `hidden` |
    `jid_multi` |
    `jid_single` |
    `list_multi` |
    `list_single` |
    `text_multi` |
    `text_private` |
    `text_single` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Field.FieldType` | `getFieldTypeByName​(java.lang.String name)` |
    `java.lang.String` | `toString()` |
    `static Field.FieldType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Field.FieldType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### bool

          public static final Field.FieldType bool

    - #### fixed

          public static final Field.FieldType fixed

    - #### hidden

          public static final Field.FieldType hidden

    - #### jid_single

          public static final Field.FieldType jid_single

    - #### jid_multi

          public static final Field.FieldType jid_multi

    - #### list_multi

          public static final Field.FieldType list_multi

    - #### list_single

          public static final Field.FieldType list_single

    - #### text_multi

          public static final Field.FieldType text_multi

    - #### text_private

          public static final Field.FieldType text_private

    - #### text_single

          public static final Field.FieldType text_single

  - ### Method Detail

    - #### values

          public static Field.FieldType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Field.FieldType c : Field.FieldType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Field.FieldType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getFieldTypeByName

          public static Field.FieldType getFieldTypeByName​(java.lang.String name)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Field.FieldType>`